<?php

class SetTenant
{
    private $controller;
    private $method;
    private $client;
    private $ci;
    private $cronInvoked = false;

    public function __construct()
    {
        $this->ci = &get_instance();
    }

    public function run()
    {
        $this->ci->load->model('MY_Model');
        $get_tenant_no = $this->ci->input->get('tenant_no');
        $post_tenant_no = $this->ci->input->post('tenant_no');
        $this->ci->MY_Model::$tenant_no = $get_tenant_no ?? $post_tenant_no;
    }
}
